#include <ESP8266WiFi.h>
#include <PubSubClient.h>
#include <string.h>
#include <stdio.h>

const char* ssid = "iptime";
const char* password = "xxxx";
char* topic = "nodemcu"; 
char* server = "mqtt.eclipse.org"; /* MQTT broker address */
char message_buff[100]; 
WiFiClient wifiClient; 
void callback(char* topic, byte* payload, unsigned int length);
PubSubClient client(server, 1883, callback, wifiClient);

void setup() {
  Serial.begin(115200);
  delay(10);
  pinMode(D0, OUTPUT);   
  digitalWrite(D0, LOW); 
  Serial.println();
  Serial.println("Connecting to ");
  Serial.println(ssid);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.println(".");
  }
  Serial.println("WiFi Connected");
  Serial.println(WiFi.localIP());

  if (client.connect("nodeMCU")){ 
    client.publish("nodemcu", "Hello World");
    client.subscribe(topic);
  }
}
void loop() {
  client.loop(); 
}
void callback(char* topic, byte* payload, unsigned int length) {
  int i = 0;
  Serial.println("Message arrived: topic: " + String(topic));
  Serial.println("Length: "+ String(length,DEC));

  for(i=0; i<length; i++){
    message_buff[i] = payload[i];
  }
  message_buff[i]= '\0';
  String msgString = String(message_buff);
  Serial.println("Payload: "+ msgString);
  int state = digitalRead(D0);
  if (msgString == "led"){
    digitalWrite(D0, !state);
    if(state){
      Serial.println("Switching LED On");
    }
    else{
      Serial.println("Switching LED Off");
    }   
  }
}




