#include <DHT.h>
#include "UbidotsESPMQTT.h"

#define DHTPIN D2
#define DHTTYPE DHT22
#define TOKEN  "xxxxxxxxxxx"  // Put here your Ubidots TOKEN
#define WIFI_SSID "iptime"
#define WIFI_PASS "xxxx"

DHT dht(DHTPIN, DHTTYPE);
Ubidots client(TOKEN);

void callback(char* topic, byte* payload, unsigned int length) {
}
void setup() {
  Serial.begin(115200);
  dht.begin();
  delay(10);
  client.wifiConnection(WIFI_SSID, WIFI_PASS);
  client.begin(callback);
}
void loop() {
  float temp=dht.readTemperature();
  float humi=dht.readHumidity();
  if(!client.connected()){
      client.reconnect();
  }
  client.add("Temperature", temp);
  client.add("Humidity", humi);
  client.ubidotsPublish("Nodemcu");
    
  Serial.print("Temp: ");
  Serial.print(temp); 
  Serial.print("  Humi: ");
  Serial.println(humi); 

  delay(1000*10);
}
