#include <DHT.h>
#include "UbidotsESPMQTT.h"

#define DHTPIN D2
#define DHTTYPE DHT22
#define TOKEN  "xxxxxxxxxxxxxxx"  // Put here your Ubidots TOKEN
#define WIFI_SSID "iptime"
#define WIFI_PASS "xxxxx"
#include "SSD1306.h"

DHT dht(DHTPIN, DHTTYPE);
Ubidots client(TOKEN);
SSD1306  display(0x3c, D3, D5);
void callback(char* topic, byte* payload, unsigned int length) {
}
void setup() {
  Serial.begin(115200);
  dht.begin();
  delay(10);
  client.wifiConnection(WIFI_SSID, WIFI_PASS);
  client.begin(callback);
  display.init();
  display.flipScreenVertically();
}
void loop() {
  float temp=dht.readTemperature();
  float humi=dht.readHumidity();
  if(!client.connected()){
      client.reconnect();
  }
  client.add("Temperature", temp);
  client.add("Humidity", humi);
  client.ubidotsPublish("Nodemcu");
    
  Serial.print("Temp: ");
  Serial.print(temp); 
  Serial.print("  Humi: ");
  Serial.println(humi); 

  char string[10];
  display.clear();
  display.setTextAlignment(TEXT_ALIGN_LEFT);
  display.setFont(ArialMT_Plain_24);
  dtostrf(temp, 4,1, string);
  String body="Temp: ";
  body += string;
  display.drawString(0, 12, body);
  dtostrf(humi, 4,1, string);
  body="Humi: ";
  body += string;
  display.drawString(0, 40, body);
  display.display();
  delay(1000*10);
}
